@ECHO OFF

REM install.bat
REM Use to install or update the PHONE Program

REM Date........: 11/11/90
REM Revised.....: 11/25/90, 02/23/91, 06/18/91, 09/22/91, 11/29/91
REM               06/02/92, 07/28/93, 12/19/93, 12/29/94, 01/14/95
REM Author......: Jeff Morris
REM Copyright...: (c) Vision Computing, Inc.

IF NOT EXIST PHONE310.EXE GOTO NOEXE

CLS
ECHO:
ECHO                          PHONE Program Installation
ECHO:
ECHO:
ECHO    ͻ
ECHO     Press NUMBER to indicate Drive to use for temporary install files.   
ECHO     (Must have at approx. 1 MB disk space free on that drive.)           
ECHO                                                                          
ECHO       1) "C:"      2) "D:"      3) EXIT the install program              
ECHO    ͼ
ECHO:  
REPLY

IF ERRORLEVEL 51 GOTO END
IF ERRORLEVEL 50 GOTO DDRIVE
IF ERRORLEVEL 49 GOTO CDRIVE
GOTO END

:CDRIVE
REM test to be sure C: is a valid drive
if not exist c:\nul goto nodrive

ECHO:
ECHO      Copying files to temporary directory "C:\PHONEINS"

REM test, just in case the dir is there, possibly from an earlier install
if not exist C:\phoneins\nul MD C:\phoneins

COPY *.* C:\phoneins\*.* >NUL
C:
CD \PHONEINS
ECHO:
ECHO      Expanding compressed files ... Please wait...
PHONE310 >NUL
PHONE INSTALL
REM Get rid of temporary files and directory
REM Note: If installed on a different drive, these files may need to
REM       be manually deleted.
ECHO:
ECHO    ͻ
ECHO                         Removing temporary workfiles                     
ECHO    ͼ
ECHO:  
DEL C:\phoneins\p*.* >NUL
DEL C:\phoneins\c*.* >NUL
DEL C:\phoneins\*.m* >NUL
DEL C:\phoneins\readme >NUL
DEL C:\phoneins\install.bat >NUL
DEL C:\phoneins\reply.com >NUL
DEL C:\phoneins\file_id.diz >NUL
RD C:\phoneins >NUL
GOTO END

:DDRIVE
REM test to be sure D: is a valid drive
if not exist d:\nul goto nodrive

ECHO:
ECHO      Copying files to temporary directory "D:\PHONEINS"

if not exist D:\phoneins\nul MD D:\phoneins

COPY *.* D:\PHONEINS\*.* >NUL
D:
CD \PHONEINS
ECHO:
ECHO      Expanding compressed files ... Please wait
PHONE310 >NUL
PHONE INSTALL
REM Get rid of temporary files and directory
REM Note: If installed on a different drive, these files may need to
REM       be manually deleted.
ECHO:
ECHO    ͻ
ECHO                         Removing temporary workfiles                     
ECHO    ͼ
ECHO:  
DEL D:\phoneins\p*.* >NUL
DEL D:\phoneins\c*.* >NUL
DEL D:\phoneins\*.m* >NUL
DEL D:\phoneins\readme >NUL
DEL D:\phoneins\install.bat >NUL
DEL D:\phoneins\reply.com >NUL
DEL D:\phoneins\file_id.diz >NUL
RD D:\phoneins >NUL
GOTO END

:NOEXE
ECHO:
ECHO      The PHONE310.EXE file must be in the same directory where
ECHO      install.bat is run from. Press any key to quit.
ECHO:
REPLY
GOTO END

:NODRIVE
ECHO:
ECHO      Invalid Drive! - Try to install again with a correct drive
ECHO      OR - see the README file to start installation manually.
ECHO:
ECHO      Press any key to quit.
ECHO:
REPLY
GOTO END

:END
CLS
